<?php

global $lang,$images,$board_config,$userdata;
unset($message);
//  On vire les gens non loggués au site
if ( !$userdata['session_logged_in'])
{
		message_die(GENERAL_ERROR, 'Accès interdit à l\'espace des codes');
}

//chargement du template
$template->set_filenames(array(
   'code' => 'areabb/mods/classement_sites/tpl/code.tpl'
));

// récupération des données...
$sql = 'SELECT id_site,titre_site,banniere 
		FROM '. AREABB_CLASS_SITE .' 
		WHERE id_user='.$userdata['user_id'].' limit 0,1';
if( !($resultat = $db->sql_query($sql)) )
{
	message_die(GENERAL_ERROR, 'Could not query recent classification information', '', __LINE__, __FILE__, $sql);
}
$row = $db->sql_fetchrow($resultat) ;

// On affiche l'image du site
$classite->code_vote($row['id_site'],$lang['voter_pour_moi'],'http://'.$board_config['server_name'].$board_config['script_path'].$classite->repertoire_destination.$row['banniere']);

// On affiche une image définie par l'admin..
$classite->code_vote($row['id_site'],$lang['voter_pour_moi'],'http://'.$board_config['server_name'].$board_config['script_path'].'areabb/mods/classement_sites/images/vote_classement.png');

// On affiche que le texte...
$classite->code_vote($row['id_site'],$lang['voter_pour_moi']);

// On affiche un texte personnalisé
$classite->code_vote($row['id_site'],sprintf($lang['voter_pour_moi_perso'],$row['titre_site']));


// Variables générales
$template->assign_vars(array(
	'L_CODE'	=> $lang['L_CODE'],
	'L_CODE_EXPLAIN' => $lang['L_CODE_EXPLAIN']
));

$template->assign_var_from_handle('CORPS', 'code');

?>